<template>
    <div class="container  d-flex mb-5 w-100">
            <div 
                class="cursor p-1 mx-1 d-flex"
                v-for="pageNum in totalPage"
                :key="pageNum"
                :class="{'current-page': page === pageNum}"
                @click="changePage(pageNum)"
            >
                {{pageNum}}
            </div>
        </div>
</template>
<script>
export default {
    name: 'PagesNumber',
    props: {
        totalPage: Number,
        page: Number,
    },
    
    methods: {
        changePage(pageNum) {
        this.$emit('changePage', pageNum);
        }
    }
    
}
</script>
<style scoped>
    .cursor{
    cursor: pointer;
}
.current-page{
    background-color: aquamarine;
    border: 1px solid blue;
    border-radius: 3px;
}
</style>